
#define sclk 13
#define mosi 11
#define cs   10
#define dc   9
#define rst  8  

#include <Adafruit_GFX.h>    
#include <Adafruit_ST7735.h> 
#include <SPI.h>

Adafruit_ST7735 tft = Adafruit_ST7735(cs, dc, rst);

int inPin = 2;

/////////////////////////////////////////////////////////////////////
void setup(void) {

  Serial.begin(9600); 
  Serial.println("Start");

  pinMode (inPin,INPUT);
  digitalWrite(inPin,HIGH);    // pull up #2 "ON"
  digitalWrite(0,HIGH);        // pull up #0 "ON" 

  tft.initR(INITR_BLACKTAB);   
  tft.setRotation(tft.getRotation() + 1); // rotate 90degs
  tft.setTextSize(3);    
  tft.fillScreen(ST7735_BLACK);
  tft.setTextColor(ST7735_YELLOW); 
  tft.setCursor(42,15);
  tft.print("MINI");
  tft.setCursor(8,45);
  tft.print("TERMINAL"), 
  tft.setTextSize(2);    
  tft.setCursor(7,85);
  tft.print("RECEIVE ONLY"), 
  tft.setCursor(28,105);
  tft.print("V2.1 2014"), 
  delay(5000);
  tft.fillScreen(ST7735_BLACK);
  tft.setCursor(0, 0);
}

/////////////////////////////////////////////////////////////////////////////////
void loop() {
  if (Serial.available() > 0) {  
  tft.setTextWrap(true);
  tft.write(Serial.read());
  }

if (digitalRead(inPin) == 0 ) {
  tft.setCursor(0, 0);
  tft.fillScreen(ST7735_BLACK);
  }
  delay(10);
  }
  

